<?php
namespace Drupal\hello\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\user\Entity\User;

/**
 * Created by PhpStorm.
 * User: user
 * Date: 18/06/2018
 * Time: 3:55 CH
 */

class Login extends FormBase
{
    public function getFormId()
    {
        // TODO: Implement getFormId() method.
        return 'hello_login';
    }

    public function buildForm(array $form, FormStateInterface $form_state)
    {
        // TODO: Implement buildForm() method.
        $form['username'] = array(
            '#type' => 'textfield',
            '#title' => $this->t('Username'),
        );
        $form['password'] = array(
            '#type' => 'password',
            '#title' => $this->t('Password'),
        );
        $form['submit'] = array(
            '#type' => 'submit',
            '#value' => $this->t('Log In')
        );
        return $form;
//        return parent::buildForm($form,$form_state);
    }

    public function submitForm(array &$form, FormStateInterface $form_state)
    {
        // TODO: Implement submitForm() method.
    }

    public function validateForm(array &$form, FormStateInterface $form_state)
    {
        parent::validateForm($form, $form_state); // TODO: Change the autogenerated stub
    }
}